// synthesisSuccessful = False
// numberOfExamplesUsed = 7
// numberOfExamplesProvided = 8
// computationTime = 1108.8664285
// grammarName = FlashFill-extended-no-loops
// maxNumberOfBranches = 3

using System;
using System.Collections.Generic;
using System.Linq;
using System.Xml.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using _ = TestDSLs.FlashFillImpl;

namespace lasyOutput
{
	public static class LasyOutput
	{
		public static string VenueFullName(string abbr)
		{
			unchecked
			{
				string v3;
				if(abbr.Equals("CACM 2012"))
				{
					v3 = "Communications of the ACM, 2012";
				}
				else
				{
					string v2 = default(string);
					if(abbr.Equals("PLDI 2012"))
					{
						v2 = "The 33rd ACM SIGPLAN conference on Programming Language Design and Implementation, Beijing, June, 2012";
					}
					else
					{
						throw new System.NotImplementedException();;
					}
					v3 = v2;
				}
				
				return v3;
			}
		}
	}
}